# Interface PointerButtonInfoUp

Pointer button is released

interface PointerButtonInfoUp {
button: number;
downAt: number;
duration: number;
event: "up";
upAt: number;
}

##### Index

### Properties

button
downAt
duration
event
upAt

## Properties

### button

button: number

The pointer button associated with the PointerButtonInfo instance.

### downAt

downAt: number

Exact time in ms, relative `performance.timeOrigin`, when button was pressed.

### duration

duration: number

Duration in ms that button was pressed. Same as upAt - downAt.

### event

event: "up"

Pointer button is released

### upAt

upAt: number

Exact time in ms, relative `performance.timeOrigin`, when button was relased.